(setf *debugger-hook*
      (lambda (cnd val)
	(declare (ignore val))
	(format *error-output* "~A~%" cnd)
	(unix:unix-exit 1)))
(setq ext:*gc-verbose* nil
      *print-circle* t
      *print-case* :downcase)

(defun do-compile (fname)
  (multiple-value-bind (oname warnings failure)
      (compile-file fname)
    (declare (ignore warnings))
    (if failure
	(error "Compilation of ~A failed" fname)
      oname)))

(defparameter lisp-files '("tokens.lisp" "balance.lisp"))

(mapc (lambda (x)
	(load (do-compile x)))
      lisp-files)

(save-lisp "balance.bin"
	   :purify t
	   :init-function #'myinit
	   :load-init-file nil
	   :print-herald nil)

(unix:unix-exit 0)
